///////////////////////////////////////////////////////////////////////////////////////////
//
// MNEMONIC.HPP - Declaration of AMnemonicSample, the mnemonic sample application
//
// (c) 1998 by Stefan Ruck, Frankfurt/Main, Germany
//
///////////////////////////////////////////////////////////////////////////////////////////

#ifndef _MNEMONIC_HPP_
#define _MNEMONIC_HPP_

#ifndef _IFRAME_
#include <iframe.hpp>
#endif 

#ifndef _ICMDHDR_
#include <icmdhdr.hpp>
#endif 

class AMnemonicSample : public IFrameWindow,
                        public ICommandHandler
{
  public:
    AMnemonicSample ();                               // Constructor
    ~AMnemonicSample () { }                           // Destructor

  protected:
    virtual Boolean command (ICommandEvent &evt);     // command handling
};

#endif // _MNEMONIC_HPP_
